package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.FeatureType;
import com.ym.mec.biz.dal.enums.HeardLevelEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.annotations.Param;

/**
 * @Author Joburgess
 * @Date 2021/8/11 0011
 */
@Data
public class SysMusicCompareRecordQueryInfo extends QueryInfo {

    private Integer userId;

    private Integer teacherId;

    private String startTime;

    private String endTime;

    private String musicGroupId;

    private int orderType;

    private Boolean memberFlag;

    @ApiModelProperty("排序字段：TRAINDAYS(训练天数);TRAINTIME(训练时长);TRAINNUM(训练次数)")
    private String sortField = "TRAINDAYS";

    private FeatureType featureType;

    private HeardLevelEnum heardLevel;

    private Boolean visitFlag;

    private Integer organId;
}
